%global commit         4a6b092112057546f6e63b6473d554b9776e7a6e
%global shortcommit    %(c=%{commit}; echo ${c:0:7})
%global commitdate     20240206

Name:           chinese-segmentation
Version:        0.^%{commitdate}git%{shortcommit}
Release:        %{autorelease}
Summary:        Chinese segmentation software

License:        GPL-3.0-or-later AND MIT AND NTP
URL:            https://gitee.com/openkylin/chinese-segmentation/
Source:         %{url}/repository/archive/%{shortcommit}.zip#/chinese-segmentation-%{shortcommit}.zip
# https://gitee.com/openkylin/chinese-segmentation/pulls/24
Patch:          paths.patch

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel

%description
Convert hanzi to pinyin and traditional chinese to simplified.

%package -n libchinese-segmentation
Summary: Chinese segmentation library
Requires: chinese-segmentation-data
# Modified from https://github.com/yanyiwu/cppjieba
Provides: bundled(cppjieba)

%description -n libchinese-segmentation
Library to Convert hanzi to pinyin and traditional to simplified.

%package -n libchinese-segmentation-devel
Summary: Development and header files
Requires: libchinese-segmentation%{?_isa} = %{version}-%{release}

%description -n libchinese-segmentation-devel
Library to Convert hanzi to pinyin and traditional to simplified.

%package data
Summary: Data files
BuildArch:  noarch

%description data
Data files for hidden markov model and listing of commonly used
chinese characters and their pinyin equivalents.

%prep
%autosetup -n chinese-segmentation-%{shortcommit}
dos2unix README.md

%build
%cmake -DBUILD_TEST="YES" -DCMAKE_SKIP_RPATH="YES"
%cmake_build
%dnl mv %{__cmake_builddir}/test/test %{__cmake_builddir}/test/chinese-segmentation

%install
%cmake_install
# Leave out for now, need to add esktop file, icons etc.
%dnl mkdir -p %{buildroot}/%{_bindir}
%dnl install -m755 %{__cmake_builddir}/test/chinese-segmentation %{buildroot}/%{_bindir}/

%check
# At present no tests
%ctest

%dnl %files
%dnl %{_bindir}/chinese-segmentation

%files -n libchinese-segmentation
%{_libdir}/libchinese-segmentation.so.1
%{_libdir}/libchinese-segmentation.so.1.1.0

%files -n libchinese-segmentation-devel
%{_libdir}/libchinese-segmentation.so
%dir %{_libdir}/cmake/chinese-segmentation/
%{_libdir}/cmake/chinese-segmentation/chinese-segmentation-targets.cmake
%{_libdir}/cmake/chinese-segmentation/chinese-segmentation-targets-noconfig.cmake
%dir %{_includedir}/chinese-segmentation
%{_includedir}/chinese-segmentation/chinese-segmentation.h
%{_includedir}/chinese-segmentation/common-struct.h
%{_includedir}/chinese-segmentation/hanzi-to-pinyin.h
%{_includedir}/chinese-segmentation/Traditional-to-Simplified.h
%{_includedir}/chinese-segmentation/pinyin4cpp-common.h
%{_includedir}/chinese-segmentation/libchinese-segmentation_global.h
%{_libdir}/pkgconfig/chinese-segmentation.pc
%{_libdir}/cmake/chinese-segmentation/chinese-segmentation-config.cmake
%{_libdir}/cmake/chinese-segmentation/chinese-segmentation-config-version.cmake

%files data
%license LICENSE
%doc README.md
%dir %{_datadir}/chinese-segmentation
%dir %{_datadir}/chinese-segmentation/res
%dir %{_datadir}/chinese-segmentation/res/dict
%{_datadir}/chinese-segmentation/res/dict/hmm_model.utf8
%{_datadir}/chinese-segmentation/res/dict/idf.utf8
%{_datadir}/chinese-segmentation/res/dict/jieba.dict.utf8
%{_datadir}/chinese-segmentation/res/dict/stop_words.utf8
%{_datadir}/chinese-segmentation/res/dict/user.dict.utf8
%{_datadir}/chinese-segmentation/res/dict/pinyinWithoutTone.txt
%{_datadir}/chinese-segmentation/res/dict/char_state_tab.utf8
%{_datadir}/chinese-segmentation/res/dict/prob_emit.utf8
%{_datadir}/chinese-segmentation/res/dict/prob_start.utf8
%{_datadir}/chinese-segmentation/res/dict/prob_trans.utf8
%{_datadir}/chinese-segmentation/res/dict/singleWordPinyin.txt
%{_datadir}/chinese-segmentation/res/dict/wordsPinyin.txt
%{_datadir}/chinese-segmentation/res/dict/TraditionalChineseSimplifiedDict.txt

%changelog
%autochangelog
